﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Windows.Forms;

namespace WordConvert
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitDic();
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            var word = txtWord.Text;
            var type = KeyDictionary[cmbType.Text];
            var resultWord = word.Aggregate("", (current, c) => current + (c + type));
            txtConvertWord.Text = resultWord;
        }

        public readonly Dictionary<string, string> KeyDictionary = new Dictionary<string, string>();

        void InitDic()
        {
            KeyDictionary.Add("出大汗文字", "҉҉҈");
            KeyDictionary.Add("出小汗文字", "҉");
            KeyDictionary.Add("发芽文字", "ོོ");
            KeyDictionary.Add("字上带圈", "ྂ");
            KeyDictionary.Add("风一样的文字", "=͟͟͞͞");
            KeyDictionary.Add("字下圆点", " ̥");
            KeyDictionary.Add("爱心上", "ྉ");
            KeyDictionary.Add("爱心下", "ૢ");
            KeyDictionary.Add("爱心右", "༯");
            KeyDictionary.Add("大雁文字", "ཽ");
            KeyDictionary.Add("禁止文字", "⃠");
            KeyDictionary.Add("字下莲花", "࿆");
            KeyDictionary.Add("多弹簧", "ൢ");
            KeyDictionary.Add("仙草文字", "༲");
            KeyDictionary.Add("水滴文字", "҈");
            KeyDictionary.Add("口中字", "꙱");
            KeyDictionary.Add("带9文字", "⁹");
            KeyDictionary.Add("小碎花", "֒");
            KeyDictionary.Add("睫毛弯弯", "ཻ");
            KeyDictionary.Add("文字长草", "༗");
            KeyDictionary.Add("文字小翅膀", "༣");
            KeyDictionary.Add("文字折翼", "࿐");
            KeyDictionary.Add("诡异", "ཀ");
            KeyDictionary.Add("尾巴", "༾");
            KeyDictionary.Add("波浪线", "⌇");
            KeyDictionary.Add("梅花文字", "༶");
            KeyDictionary.Add("微风文字", "࿓");
            KeyDictionary.Add("排山倒海", "༽");
            KeyDictionary.Add("仙人指路", "༻");
            KeyDictionary.Add("花团锦簇", "۝");
            var keys = KeyDictionary.Keys.ToList();
            cmbType.DataSource = keys;
        }

        private void linkBlog_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("https://www.cnblogs.com/yellow3gold/");
        }
    }
}
